## ktextaddons 1.6.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(KTEXTADDONS_CURRENT_VERSION "1.6.0")
project(KTextAddons VERSION ${KTEXTADDONS_CURRENT_VERSION})

set(QT_REQUIRED_VERSION "6.8.0")
set(KF_MIN_VERSION "6.11.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(CMAKE_CXX_STANDARD 20)
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddQch)
include(ECMAddTests)
include(ECMDeprecationSettings)
include(CMakeDependentOption)
include(ECMQtDeclareLoggingCategory)
include(ECMCheckOutboundLicense)

file(GLOB_RECURSE ALL_SOURCE_FILES
textaddonswidgets/*.cpp
textaddonswidgets/*.h
textedittexttospeech/*.cpp
textedittexttospeech/*.h
textspeechtotext/*.cpp
textspeechtotext/*.h
textautocorrection/*.cpp
textautocorrection/*.h
textemoticons/*.cpp
textemoticons/*.h
texttranslator/*.cpp
texttranslator/*.h
textcustomeditor/*.cpp
textcustomeditor/*.h
textgrammarcheck/*.cpp
textgrammarcheck/*.h
textutils/*.cpp
textutils/*.h
textautogeneratetext/*.h
textautogeneratetext/*.cpp
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

option(BUILD_QUICK "Build with QtQuick support (experimental)" OFF)
if (BUILD_QUICK)
    include(ECMQmlModule)
endif ()

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Core Network Xml Sql)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    ColorScheme
    Archive
    CoreAddons
    Sonnet
    SyntaxHighlighting
    WidgetsAddons
    TextWidgets
)
option(BUILD_KIO_SUPPORT "Build with KIO support" ON)
add_feature_info(KIO_SUPPORT ${BUILD_KIO_SUPPORT} "Build with KIO support")

if(${BUILD_KIO_SUPPORT})
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO)
endif()

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)

if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

option(BERGAMOT_TRANSLATOR_PLUGIN "Build bergamot translator plugin" OFF)
add_feature_info(BERGAMOT_TRANSLATOR_PLUGIN ${BERGAMOT_TRANSLATOR_PLUGIN} "Bergamot translator plugin (local translation) (Experimental. Need to download bergamot source code first)")

option(SPEAK_TO_TEXT_VOSK_PLUGIN "Build vosk speak to text support" OFF)
add_feature_info(SPEAK_TO_TEXT_VOSK_PLUGIN ${SPEAK_TO_TEXT_VOSK_PLUGIN} "Vosk speak to text plugin (local text to speak) (Experimental)")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(DISABLE_AUTOTEST_BROKEN_CI "Disable autotest broken on CI (work locally)" OFF)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.14.0
)

if(BERGAMOT_TRANSLATOR_PLUGIN)
   find_package(slimt)
   set_package_properties(slimt PROPERTIES DESCRIPTION
       "Add local translation based on Bergamot"
       TYPE OPTIONAL
  )
endif()


add_subdirectory(textaddonswidgets)
add_subdirectory(textautocorrection)
add_subdirectory(textgrammarcheck)
add_subdirectory(texttranslator)
add_subdirectory(textemoticons)
add_subdirectory(textutils)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED MultimediaWidgets)
add_subdirectory(textspeechtotext)
add_subdirectory(textautogeneratetext)

find_package(Qt6TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(Qt6TextToSpeech PROPERTIES DESCRIPTION
    "Add support for text to speech"
    TYPE OPTIONAL
)
if(TARGET Qt6::TextToSpeech)
    add_subdirectory(textedittexttospeech)
endif()

add_subdirectory(textcustomeditor)
ecm_qt_install_logging_categories(
        EXPORT KTEXTADDONS
        FILE ktextaddons.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== textaddonswidgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextaddonswidgets\")

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAddonsWidgets")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTADDONSWIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textaddonswidgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfigVersion.cmake"
    SOVERSION 1
)

add_library(KF6TextAddonsWidgets)
add_library(KF6::TextAddonsWidgets ALIAS KF6TextAddonsWidgets)

target_sources(KF6TextAddonsWidgets PRIVATE
    selectspecialchardialog.h
    selectspecialchardialog.cpp
    slidecontainer.cpp
    slidecontainer.h
)
target_link_libraries(KF6TextAddonsWidgets
    PRIVATE
    Qt::Widgets
    KF6::WidgetsAddons
    KF6::ConfigGui
)

ecm_qt_declare_logging_category(KF6TextAddonsWidgets HEADER TextAddonsWidgets_debug.h
    IDENTIFIER TEXTADDONSWIDGETS_LOG
    CATEGORY_NAME org.kde.kf.textaddonswidgets
    OLD_CATEGORY_NAMES org.kde.kf6.textaddonswidgets
    DESCRIPTION "KF6 (textaddons widgets)" EXPORT KTEXTADDONS)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF6TextAddonsWidgets PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF6TextAddonsWidgets BASE_NAME TextAddonsWidgets)

target_include_directories(KF6TextAddonsWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets;>")


target_link_libraries(KF6TextAddonsWidgets
    PRIVATE
    KF6::I18n
)

set_target_properties(KF6TextAddonsWidgets PROPERTIES
    VERSION ${TEXTADDONSWIDGETS_VERSION}
    SOVERSION ${TEXTADDONSWIDGETS_SOVERSION}
    EXPORT_NAME TextAddonsWidgets
)

install(TARGETS KF6TextAddonsWidgets EXPORT KF6TextAddonsWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextAddonsWidgets_CamelCase_HEADERS
    HEADER_NAMES
    SelectSpecialCharDialog
    SlideContainer
    REQUIRED_HEADERS TextAddonsWidgets_HEADERS
    PREFIX TextAddonsWidgets
)

install(FILES
    ${TextAddonsWidgets_HEADERS}
    ${TextAddonsWidgets_lineedit_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/textaddonswidgets_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets/textaddonswidgets
    COMPONENT Devel
)
install(FILES
    ${TextAddonsWidgets_CamelCase_HEADERS}
    ${TextAddonsWidgets_lineedit_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets/TextAddonsWidgets/
    COMPONENT Devel
)


install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6TextAddonsWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextAddonsWidgetsTargets.cmake
    NAMESPACE KF6::
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textaddonswidgets_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets
    COMPONENT Devel
)


if(BUILD_QCH)
    ecm_add_qch(
        KF6TextAddonsWidgets_QCH
        NAME KF6TextAddonsWidgets
        BASE_NAME KF6TextAddonsWidgets
        VERSION ${TEXTADDONSWIDGETS_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${TextAddonsWidgets_HEADERS}
        LINK_QCHS
        Qt6Core_QCH
        Qt6Gui_QCH
        Qt6Widgets_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        TEXTADDONSWIDGETS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6TextAddonsWidgets_QCH
        FILE KF6TextAddonsWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6TextAddonsWidgetsQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextAddonsWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

=== textautogeneratetext/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
add_definitions(-DTRANSLATION_DOMAIN=\"libtextautogeneratetext\")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAutoGenerateText")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTAUTOGENERATETEXT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textautogeneratetext_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfigVersion.cmake"
    SOVERSION 1
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6TextAutoGenerateTextTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6TextAutoGenerateTextTargets.cmake NAMESPACE KF6::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textautogeneratetext_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoGenerateText/ COMPONENT Devel
)

add_library(KF6TextAutoGenerateText)

add_library(KF6::TextAutoGenerateText ALIAS KF6TextAutoGenerateText)
ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_database_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_DATABASE_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.database
    DESCRIPTION "KF6 (TextAutoGenerateText core database)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext
    DESCRIPTION "KF6 (TextAutoGenerateText core)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_memory_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_MEMORY_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext
    DESCRIPTION "KF6 (TextAutoGenerateText core memory)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget
    DESCRIPTION "KF6 (TextAutoGenerateText widget)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_animation_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_ANIMATION_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget_animation
    DESCRIPTION "KF6 (TextAutoGenerateText widget animation)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_menu_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_MENU_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget_menu
    DESCRIPTION "KF6 (TextAutoGenerateText widget menu)"
    EXPORT KTEXTADDONS
)

target_sources(KF6TextAutoGenerateText PRIVATE
    core/textautogenerateengineplugin.h
    core/textautogenerateengineplugin.cpp
    core/textautogenerateengineloader.cpp
    core/textautogenerateengineloader.h
    core/textautogeneratetextclient.h
    core/textautogeneratetextclient.cpp
    core/textautogeneratetextplugin.h
    core/textautogeneratetextplugin.cpp
    core/textautogeneratemanager.h
    core/textautogeneratemanager.cpp
    core/textautogenerateengineaccessmanager.cpp
    core/textautogenerateengineaccessmanager.h

    core/textautogeneratechatsettings.h
    core/textautogeneratechatsettings.cpp

    core/textautogeneratetextreplyinfo.h
    core/textautogeneratetextreplyinfo.cpp

    core/textautogenerateengineutil.h
    core/textautogenerateengineutil.cpp

    core/textautogeneratemessagesmodel.h
    core/textautogeneratemessagesmodel.cpp

    core/textautogeneratesearchmessagesmodel.h
    core/textautogeneratesearchmessagesmodel.cpp

    core/textautogeneratesearchmessage.h
    core/textautogeneratesearchmessage.cpp

    core/textautogeneratemessage.h
    core/textautogeneratemessage.cpp

    core/textautogenerateanswerinfo.h
    core/textautogenerateanswerinfo.cpp

    core/textautogeneratetextcontext.h
    core/textautogeneratetextcontext.cpp

    core/textautogeneratehistorysortfilterproxymodel.h
    core/textautogeneratehistorysortfilterproxymodel.cpp

    core/textautogeneratehistorylistheadingsproxymodel.h
    core/textautogeneratehistorylistheadingsproxymodel.cpp

    core/textautogeneratemessageutils.h
    core/textautogeneratemessageutils.cpp

    core/textautogeneratechat.h
    core/textautogeneratechat.cpp
    core/textautogeneratechatsmodel.h
    core/textautogeneratechatsmodel.cpp

    core/localdatabase/textautogeneratelocaldatabaseutils.h
    core/localdatabase/textautogeneratelocaldatabaseutils.cpp

    core/localdatabase/textautogeneratelocaldatabaseabstract.h
    core/localdatabase/textautogeneratelocaldatabaseabstract.cpp
    core/localdatabase/textautogeneratelocalchatsdatabase.h
    core/localdatabase/textautogeneratelocalchatsdatabase.cpp
    core/localdatabase/textautogeneratelocalmessagesdatabase.cpp
    core/localdatabase/textautogeneratelocalmessagesdatabase.h
    core/localdatabase/textautogeneratelocaldatabasemanager.h
    core/localdatabase/textautogeneratelocaldatabasemanager.cpp

    core/textautogeneratesearchjob.h
    core/textautogeneratesearchjob.cpp

    core/textautogenerateaskjob.h
    core/textautogenerateaskjob.cpp

    core/textautogeneratesearchmessageutils.h
    core/textautogeneratesearchmessageutils.cpp

    core/textautogeneratereply.h
    core/textautogeneratereply.cpp
    core/textautogeneratetextrequest.cpp
    core/textautogeneratetextrequest.h

    core/textautogeneratemanagerbase.h
    core/textautogeneratemanagerbase.cpp
)

target_sources(KF6TextAutoGenerateText PRIVATE
    widgets/textautogenerateconfigurewidget.h
    widgets/textautogenerateconfigurewidget.cpp
    widgets/textautogeneratetextconfigurecombowidget.cpp
    widgets/textautogeneratetextconfigurecombowidget.h

    widgets/textautogeneratetextlineeditwidget.h
    widgets/textautogeneratetextlineeditwidget.cpp

    widgets/textautogenerateresultwidget.h
    widgets/textautogenerateresultwidget.cpp
    widgets/textautogeneratetextlineedit.h
    widgets/textautogeneratetextlineedit.cpp

    widgets/textautogeneratewidget.h
    widgets/textautogeneratewidget.cpp

    widgets/textautogeneratedialog.h
    widgets/textautogeneratedialog.cpp

    widgets/view/textautogeneratelistview.h
    widgets/view/textautogeneratelistview.cpp

    widgets/view/textautogeneratelistviewdelegate.h
    widgets/view/textautogeneratelistviewdelegate.cpp
    widgets/view/textautogeneratelistviewbasedelegate.cpp
    widgets/view/textautogeneratelistviewbasedelegate.h

    widgets/view/textautogeneratedelegateutils.h
    widgets/view/textautogeneratedelegateutils.cpp

    widgets/view/textautogenerateselectedmessagebackgroundanimation.h
    widgets/view/textautogenerateselectedmessagebackgroundanimation.cpp

    widgets/view/textautogeneratemessagewaitingansweranimation.h
    widgets/view/textautogeneratemessagewaitingansweranimation.cpp
    widgets/view/textautogeneratecolorsandmessageviewstyle.h
    widgets/view/textautogeneratecolorsandmessageviewstyle.cpp
    widgets/view/textautogeneratebaselistview.h
    widgets/view/textautogeneratebaselistview.cpp

    widgets/view/textautogeneratesearchlistview.h
    widgets/view/textautogeneratesearchlistview.cpp

    widgets/view/textautogeneratesearchlistviewdelegate.h
    widgets/view/textautogeneratesearchlistviewdelegate.cpp

    widgets/textautogeneratestackwidget.h
    widgets/textautogeneratestackwidget.cpp

    widgets/textautogenerateconfiguredialog.h
    widgets/textautogenerateconfiguredialog.cpp

    widgets/textautogeneratenotworkingwidget.h
    widgets/textautogeneratenotworkingwidget.cpp

    widgets/textautogeneratehistorywidget.h
    widgets/textautogeneratehistorywidget.cpp

    widgets/view/textautogeneratehistorylistview.h
    widgets/view/textautogeneratehistorylistview.cpp

    widgets/view/textautogeneratehistorylistviewdelegate.h
    widgets/view/textautogeneratehistorylistviewdelegate.cpp
    widgets/view/textautogeneratelistviewtextselection.h
    widgets/view/textautogeneratelistviewtextselection.cpp
    widgets/view/lrucache.h

    widgets/textautogenerateheaderwidget.h
    widgets/textautogenerateheaderwidget.cpp

    widgets/textautogeneratesearchwidget.h
    widgets/textautogeneratesearchwidget.cpp

    widgets/textautogeneratesearchdialog.h
    widgets/textautogeneratesearchdialog.cpp

    widgets/textautogeneratesearchlineedit.h
    widgets/textautogeneratesearchlineedit.cpp

    widgets/menu/textautogeneratemenuconfiguredialog.cpp
    widgets/menu/textautogeneratemenuconfiguredialog.h
    widgets/menu/textautogeneratemenuconfigurewidget.cpp
    widgets/menu/textautogeneratemenuconfigurewidget.h
    widgets/menu/textautogeneratemenulistview.cpp
    widgets/menu/textautogeneratemenulistview.h
    widgets/menu/textautogeneratemenulistviewdelegate.cpp
    widgets/menu/textautogeneratemenulistviewdelegate.h
    widgets/menu/textautogeneratemenumodel.cpp
    widgets/menu/textautogeneratemenumodel.h
    widgets/menu/textautogeneratemenutextinfo.cpp
    widgets/menu/textautogeneratemenutextinfo.h
    widgets/menu/textautogeneratemenutextmanager.cpp
    widgets/menu/textautogeneratemenutextmanager.h
    widgets/menu/textautogeneratemenuwidget.cpp
    widgets/menu/textautogeneratemenuwidget.h
)

if(BUILD_TESTING)
    add_subdirectory(core/autotests)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(widgets/menu/autotests)
endif()

add_subdirectory(plugins)


if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF6TextAutoGenerateText PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF6TextAutoGenerateText BASE_NAME textautogeneratetext)


target_link_libraries(KF6TextAutoGenerateText
    PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Network
    PRIVATE
    Qt::Sql
    KF6::I18n
    KF6::WidgetsAddons
    KF6::ConfigGui
    KF6::TextWidgets
    KF6::CoreAddons
    KF6::ColorScheme
)
target_include_directories(KF6TextAutoGenerateText INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoGenerateText/>")

set_target_properties(KF6TextAutoGenerateText PROPERTIES
    VERSION ${TEXTAUTOGENERATETEXT_VERSION}
    SOVERSION ${TEXTAUTOGENERATETEXT_SOVERSION}
    EXPORT_NAME TextAutoGenerateText
)

ecm_generate_headers(TextAutoGenerateText_Camelcasestextautogeneratetextcore_HEADERS
    HEADER_NAMES
    TextAutoGenerateEnginePlugin
    TextAutoGenerateTextClient
    TextAutoGenerateTextPlugin
    TextAutoGenerateTextContext
    TextAutoGenerateHistorySortFilterProxyModel
    TextAutoGenerateMessagesModel
    TextAutoGenerateManager
    TextAutoGenerateMessage
    TextAutoGenerateAnswerInfo
    TextAutoGenerateChat
    TextAutoGenerateTextReplyInfo
    TextAutoGenerateSearchMessagesModel
    TextAutoGenerateSearchMessage
    TextAutoGenerateAskJob
    TextAutoGenerateReply
    TextAutoGenerateTextRequest
    TextAutoGenerateManagerBase
    REQUIRED_HEADERS TextAutoGenerateText_textautogeneratetextcore_HEADERS
    PREFIX TextAutoGenerateText
    RELATIVE core
)

ecm_generate_headers(TextAutoGenerateText_Camelcasestextautogeneratetextwidgets_HEADERS
    HEADER_NAMES
    TextAutoGenerateConfigureWidget
    TextAutoGenerateConfigureDialog
    TextAutoGenerateResultWidget
    TextAutoGenerateWidget
    TextAutoGenerateDialog
    REQUIRED_HEADERS TextAutoGenerateText_textautogeneratetextwidgets_HEADERS
    PREFIX TextAutoGenerateText
    RELATIVE widgets
)

ecm_generate_headers(TextAutoGenerateText_Camelcasestextautogeneratetextwidgetsmenu_HEADERS
    HEADER_NAMES
    TextAutoGenerateMenuWidget
    TextAutoGenerateMenuConfigureDialog
    TextAutoGenerateMenuTextInfo
    TextAutoGenerateMenuConfigureWidget
    REQUIRED_HEADERS TextAutoGenerateText_textautogeneratetextwidgetsmenu_HEADERS

=== textcustomeditor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextcustomeditor\")

if(TARGET Qt6::TextToSpeech)
    set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
endif()

if(TARGET KF6::KIOWidgets)
    set(HAVE_KTEXTADDONS_KIO_SUPPORT TRUE)
endif()

configure_file(config-textcustomeditor.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-textcustomeditor.h)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextCustomEditor")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTCUSTOMEDITOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textcustomeditor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfigVersion.cmake"
    SOVERSION 1
)

add_library(KF6TextCustomEditor)
add_library(KF6::TextCustomEditor ALIAS KF6TextCustomEditor)

target_sources(KF6TextCustomEditor PRIVATE
    plaintexteditor/plaintexteditfindbar.cpp
    plaintexteditor/plaintexteditor.cpp
    plaintexteditor/plaintexteditorwidget.cpp
    plaintexteditor/plaintextsyntaxspellcheckinghighlighter.cpp
    widgets/findutils.cpp
    widgets/textfindreplacewidget.cpp
    widgets/texteditfindbarbase.cpp
    widgets/textgotolinewidget.cpp
    widgets/textmessageindicator.cpp
    richtexteditor/richtexteditor.cpp
    richtexteditor/richtexteditfindbar.cpp
    richtexteditor/richtexteditorwidget.cpp
    plaintexteditor/plaintexteditfindbar.h
    plaintexteditor/plaintexteditor.h
    plaintexteditor/plaintexteditorwidget.h
    plaintexteditor/plaintextsyntaxspellcheckinghighlighter.h
    widgets/findutils.h
    widgets/textfindreplacewidget.h
    widgets/texteditfindbarbase.h
    widgets/textgotolinewidget.h
    widgets/textmessageindicator.h
    richtexteditor/richtexteditor.h
    richtexteditor/richtexteditfindbar.h
    richtexteditor/richtexteditorwidget.h

    richtextbrowser/richtextbrowser.cpp
    richtextbrowser/richtextbrowser.h
    richtextbrowser/richtextbrowserwidget.cpp
    richtextbrowser/richtextbrowserwidget.h
    richtextbrowser/richtextbrowserfindbar.cpp
    richtextbrowser/richtextbrowserfindbar.h

    core/texteditorcompleter.h
    core/texteditorcompleter.cpp
)

target_link_libraries(KF6TextCustomEditor
    PRIVATE
    KF6::ConfigGui
    KF6::ColorScheme
    KF6::SonnetUi
    KF6::SonnetCore
    KF6::WidgetsAddons
    KF6::I18n
    KF6::SyntaxHighlighting
    KF6::TextUtils
    KF6::TextEmoticonsWidgets
    KF6::TextAddonsWidgets
)

if(TARGET KF6::KIOWidgets)
    target_link_libraries(KF6TextCustomEditor PRIVATE KF6::KIOWidgets)
endif()

if(TARGET Qt6::TextToSpeech)
    target_link_libraries(KF6TextCustomEditor PRIVATE KF6TextEditTextToSpeech
)
endif()

ecm_qt_declare_logging_category(KF6TextCustomEditor HEADER textcustomeditor_debug.h
    IDENTIFIER TEXTCUSTOMEDITOR_LOG
    CATEGORY_NAME org.kde.kf.textcustomeditor
    OLD_CATEGORY_NAMES org.kde.kf6.textcustomeditor
    DESCRIPTION "KF6 (textcustomeditor)" EXPORT KTEXTADDONS)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF6TextCustomEditor PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF6TextCustomEditor BASE_NAME TextCustomEditor)

target_include_directories(KF6TextCustomEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor;>")


set_target_properties(KF6TextCustomEditor PROPERTIES
    VERSION ${TEXTCUSTOMEDITOR_VERSION}
    SOVERSION ${TEXTCUSTOMEDITOR_SOVERSION}
    EXPORT_NAME TextCustomEditor
)

install(TARGETS KF6TextCustomEditor EXPORT KF6TextCustomEditorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextCustomEditor_CamelCasetextrichtexteditor_HEADERS
    HEADER_NAMES
    RichTextEditorWidget
    RichTextEditor
    RichTextEditFindBar
    REQUIRED_HEADERS TextCustomEditor_richtexteditor_HEADERS
    PREFIX TextCustomEditor
    RELATIVE richtexteditor
)

ecm_generate_headers(TextCustomEditor_CamelCaserichtextbrowser_HEADERS
    HEADER_NAMES
    RichTextBrowserWidget
    RichTextBrowser
    RichTextBrowserFindBar
    REQUIRED_HEADERS TextCustomEditor_richtextbrowser_HEADERS
    PREFIX TextCustomEditor
    RELATIVE richtextbrowser
)

ecm_generate_headers(TextCustomEditor_CamelCaseplaintexteditor_HEADERS
    HEADER_NAMES
    PlainTextEditor
    PlainTextEditorWidget
    PlainTextEditFindBar
    PlainTextSyntaxSpellCheckingHighlighter
    REQUIRED_HEADERS TextCustomEditor_plaintexteditor_HEADERS
    PREFIX TextCustomEditor
    RELATIVE plaintexteditor
)

ecm_generate_headers(TextCustomEditor_CamelCasetexteditor_widgets_HEADERS
    HEADER_NAMES
    TextGotoLineWidget
    TextEditFindBarBase
    REQUIRED_HEADERS TextCustomEditor_texteditor_widgets_HEADERS
    PREFIX TextCustomEditor
    RELATIVE widgets
)

ecm_generate_headers(TextCustomEditor_CamelCasetexteditor_core_HEADERS
    HEADER_NAMES
    TextEditorCompleter
    REQUIRED_HEADERS TextCustomEditor_texteditor_core_HEADERS
    PREFIX TextCustomEditor
    RELATIVE core
)

install(FILES
    ${TextCustomEditor_texteditor_core_HEADERS}
    ${TextCustomEditor_richtexteditor_HEADERS}
    ${TextCustomEditor_texteditor_widgets_HEADERS}
    ${TextCustomEditor_plaintexteditor_HEADERS}
    ${TextCustomEditor_richtextbrowser_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/textcustomeditor_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor/textcustomeditor
    COMPONENT Devel
)
install(FILES
    ${TextCustomEditor_CamelCasetexteditor_core_HEADERS}
    ${TextCustomEditor_CamelCasetextrichtexteditor_HEADERS}
    ${TextCustomEditor_CamelCaseplaintexteditor_HEADERS}
    ${TextCustomEditor_CamelCasetexteditor_widgets_HEADERS}
    ${TextCustomEditor_CamelCaserichtextbrowser_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor/TextCustomEditor/
    COMPONENT Devel
)


install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6TextCustomEditorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextCustomEditorTargets.cmake
    NAMESPACE KF6::
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textcustomeditor_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor
    COMPONENT Devel
)


if(BUILD_QCH)
    ecm_add_qch(
        KF6TextCustomEditor_QCH
        NAME KF6TextCustomEditor
        BASE_NAME KF6TextCustomEditor
        VERSION ${TEXTCUSTOMEDITOR_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${TextCustomEditor_richtexteditor_HEADERS}
        ${TextCustomEditor_texteditor_widgets_HEADERS}
        ${TextCustomEditor_plaintexteditor_HEADERS}
        ${TextCustomEditor_texteditor_core_HEADERS}
        ${TextCustomEditor_richtextbrowser_HEADERS}
        LINK_QCHS
        Qt6Core_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        TEXTCUSTOMEDITOR_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6TextCustomEditor_QCH
        FILE KF6TextCustomEditorQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6TextCustomEditorQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextCustomEditorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(BUILD_TESTING)
    add_subdirectory(plaintexteditor/autotests)
    add_subdirectory(richtexteditor/autotests)
    add_subdirectory(richtextbrowser/autotests)
    add_subdirectory(widgets/autotests)
    add_subdirectory(plaintexteditor/tests)
    add_subdirectory(richtexteditor/tests)
    add_subdirectory(richtextbrowser/tests)
endif()

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

=== textedittexttospeech/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextedittexttospeech\")

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextEditTextToSpeech")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTEDITTEXTTOSPEECH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfigVersion.cmake"
    SOVERSION 1
)

add_library(KF6TextEditTextToSpeech)
add_library(KF6::TextEditTextToSpeech ALIAS KF6TextEditTextToSpeech)

target_sources(KF6TextEditTextToSpeech PRIVATE
    texttospeech.cpp
    texttospeechwidget.cpp
    texttospeechconfigwidget.cpp
    texttospeechinterface.cpp
    texttospeechconfiginterface.cpp
    texttospeechconfigdialog.cpp
    texttospeechlanguagecombobox.cpp
    texttospeechactions.cpp
    texttospeech.h
    texttospeechwidget.h
    texttospeechconfigwidget.h
    texttospeechinterface.h
    texttospeechconfiginterface.h
    texttospeechconfigdialog.h
    texttospeechlanguagecombobox.h
    texttospeechactions.h
    texttospeechsliderwidget.h
    texttospeechsliderwidget.cpp
    texttospeechutil.h
    texttospeechutil.cpp
    texttospeechcontainerwidget.h
    texttospeechcontainerwidget.cpp

    texttospeechvoicecombobox.h
    texttospeechvoicecombobox.cpp
)

target_link_libraries(KF6TextEditTextToSpeech
    PRIVATE
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::WidgetsAddons
    KF6::I18n
    Qt::TextToSpeech
)

ecm_qt_declare_logging_category(KF6TextEditTextToSpeech HEADER textedittexttospeech_debug.h
    IDENTIFIER TEXTEDITTEXTTOSPEECH_LOG
    CATEGORY_NAME org.kde.kf.textedittexttospeech
    OLD_CATEGORY_NAMES org.kde.kf6.textedittexttospeech
    DESCRIPTION "KF6 (textedit text to speech)" EXPORT KTEXTADDONS)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF6TextEditTextToSpeech PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF6TextEditTextToSpeech BASE_NAME textedittexttospeech)

target_include_directories(KF6TextEditTextToSpeech INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech;>")


target_link_libraries(KF6TextEditTextToSpeech
    PRIVATE
    KF6::I18n
)

set_target_properties(KF6TextEditTextToSpeech PROPERTIES
    VERSION ${TEXTEDITTEXTTOSPEECH_VERSION}
    SOVERSION ${TEXTEDITTEXTTOSPEECH_SOVERSION}
    EXPORT_NAME TextEditTextToSpeech
)

install(TARGETS KF6TextEditTextToSpeech EXPORT KF6TextEditTextToSpeechTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

ecm_generate_headers(TextEdit_CamelCasetexttospeechs_HEADERS
    HEADER_NAMES
    TextToSpeech
    TextToSpeechActions
    TextToSpeechInterface
    TextToSpeechWidget
    TextToSpeechConfigWidget
    TextToSpeechConfigDialog
    TextToSpeechContainerWidget
    REQUIRED_HEADERS TextEdit_texttospeechs_HEADERS
    PREFIX TextEditTextToSpeech
)

install(FILES
    ${TextEdit_texttospeechs_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech/textedittexttospeech
    COMPONENT Devel
)
install(FILES
    ${TextEdit_CamelCasetexttospeechs_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech/TextEditTextToSpeech/
    COMPONENT Devel
)
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6TextEditTextToSpeech_QCH
        FILE KF6TextEditTextToSpeechQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6TextEditTextToSpeechQchTargets.cmake\")")
endif()



install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech
    COMPONENT Devel
)


if(BUILD_QCH)
    ecm_add_qch(
        KF6TextEditTextToSpeech_QCH
        NAME TextEditTextToSpeech
        BASE_NAME KF6TextEditTextToSpeech
        VERSION ${TEXTEDITTEXTTOSPEECH_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${TextEdit_texttospeechs_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            TEXTEDITTEXTTOSPEECH_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
)
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextEditTextToSpeechConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6TextEditTextToSpeechTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextEditTextToSpeechTargets.cmake
    NAMESPACE KF6::
)

=== textspeechtotext/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
add_definitions(-DTRANSLATION_DOMAIN=\"libtextspeechtotext\")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextSpeechToText")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTSPEECHTOTEXT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfigVersion.cmake"
    SOVERSION 1
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6TextSpeechToTextTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextSpeechToTextTargets.cmake NAMESPACE KF6::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/ COMPONENT Devel
)

add_library(KF6TextSpeechToText)
add_library(KF6::TextSpeechToText ALIAS KF6TextSpeechToText)
ecm_qt_declare_logging_category(KF6TextSpeechToText HEADER textspeechtotext_debug.h
    IDENTIFIER TEXTSPEECHTOTEXT_LOG
    CATEGORY_NAME org.kde.kf.textspeechtotext
    DESCRIPTION "KF6 (TextSpeechToText)"
    EXPORT KTEXTADDONS
)

target_sources(KF6TextSpeechToText PRIVATE
    speechtotext/speechtotextclient.h
    speechtotext/speechtotextclient.cpp

    speechtotext/speechtotextplugin.h
    speechtotext/speechtotextplugin.cpp

    speechtotext/speechtotextengineloader.cpp
    speechtotext/speechtotextengineloader.h

    speechtotext/speechtotextmanager.h
    speechtotext/speechtotextmanager.cpp    

    speechtotext/speechtotextengineaccessmanager.cpp
    speechtotext/speechtotextengineaccessmanager.h

    speechtotext/widgets/speechtotextconfigurewidget.h
    speechtotext/widgets/speechtotextconfigurewidget.cpp

    speechtotext/widgets/speechtotextconfiguredialog.h
    speechtotext/widgets/speechtotextconfiguredialog.cpp

    speechtotext/widgets/speechtotextcomboboxwidget.h
    speechtotext/widgets/speechtotextcomboboxwidget.cpp

    speechtotext/widgets/speechtotextselectdevicewidget.h
    speechtotext/widgets/speechtotextselectdevicewidget.cpp

    speechtotext/widgets/speechtotexttoolbuttonwidget.h
    speechtotext/widgets/speechtotexttoolbuttonwidget.cpp

    speechtotext/widgets/speechtotextaction.h
    speechtotext/widgets/speechtotextaction.cpp

    speechtotext/widgets/speechtotextmenu.h
    speechtotext/widgets/speechtotextmenu.cpp

    speechtotext/textspeechtotextutil.h
    speechtotext/textspeechtotextutil.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF6TextSpeechToText PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF6TextSpeechToText BASE_NAME textspeechtotext)


target_link_libraries(KF6TextSpeechToText
    PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Network
    PRIVATE
    Qt::MultimediaWidgets
    KF6::I18n
    KF6::WidgetsAddons
    KF6::ConfigGui
    KF6::TextAddonsWidgets
)

target_include_directories(KF6TextSpeechToText INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/>")

set_target_properties(KF6TextSpeechToText PROPERTIES
    VERSION ${TEXTSPEECHTOTEXT_VERSION}
    SOVERSION ${TEXTSPEECHTOTEXT_SOVERSION}
    EXPORT_NAME TextSpeechToText
)

install(TARGETS
    KF6TextSpeechToText
    EXPORT KF6TextSpeechToTextTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(TextSpeechToText_Camelcasespeechtotext_HEADERS
    HEADER_NAMES
    SpeechToTextClient
    SpeechToTextPlugin
    SpeechToTextEngineLoader
    SpeechToTextManager
    REQUIRED_HEADERS TextSpeechToText_speechtotext_HEADERS
    PREFIX TextSpeechToText
    RELATIVE speechtotext
)

ecm_generate_headers(TextSpeechToTextWidget_Camelcasespeechtotext_HEADERS
    HEADER_NAMES
    SpeechToTextAction
    SpeechToTextToolButtonWidget
    SpeechToTextMenu
    REQUIRED_HEADERS TextSpeechToTextWidget_speechtotext_HEADERS
    PREFIX TextSpeechToText
    RELATIVE speechtotext/widgets
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/ COMPONENT Devel
)

install(FILES
    ${TextSpeechToText_Camelcasespeechtotext_HEADERS}
    ${TextSpeechToTextWidget_Camelcasespeechtotext_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/TextSpeechToText
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_export.h
    ${TextSpeechToText_speechtotext_HEADERS}
    ${TextSpeechToTextWidget_speechtotext_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/textspeechtotext
    COMPONENT Devel
)


if(BUILD_QCH)
    ecm_add_qch(
        KF6TextSpeechToText_QCH
        NAME KF6TextSpeechToText
        BASE_NAME KF6TextSpeechToText
        VERSION ${TEXTSPEECHTOTEXT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${TextSpeechToText_speechtotext_HEADERS}
        ${TextSpeechToTextWidget_speechtotext_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            TEXTSPEECHTOTEXT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
)
endif()
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6TextSpeechToText_QCH
        FILE KF6TextSpeechToTextQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6TextSpeechToTextQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextSpeechToTextConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

add_subdirectory(speechtotext/plugins)
if(BUILD_TESTING)
    add_subdirectory(speechtotext/widgets/autotests)
    add_subdirectory(speechtotext/widgets/tests)
    add_subdirectory(tests)
endif()

=== textaddonswidgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)

ecm_add_test(slidecontainertest.cpp slidecontainertest.h
    TEST_NAME slidecontainertest
    LINK_LIBRARIES Qt::Test Qt::Gui KF6TextAddonsWidgets Qt::Widgets 
)

=== textaddonswidgets/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_executable(slidecontainer_gui slidecontainer_gui.cpp)
target_link_libraries(slidecontainer_gui
    Qt::Core
    Qt::Gui
    Qt::Widgets
    KF6::TextAddonsWidgets
)

=== textautocorrection/core/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: none


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAutoCorrectionCore")



ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTAUTOCORRECTIONCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textautocorrectioncore_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfigVersion.cmake"
    SOVERSION 1
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6TextAutoCorrectionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6TextAutoCorrectionCoreTargets.cmake NAMESPACE KF6::)

kconfig_add_kcfg_files(textautocorrection_settings_SRCS
    settings/textautocorrectionsetting_base.kcfgc
)

add_library(KF6TextAutoCorrectionCore)
add_library(KF6::TextAutoCorrectionCore ALIAS KF6TextAutoCorrectionCore)
ecm_qt_declare_logging_category(KF6TextAutoCorrectionCore HEADER textautocorrection_debug.h
        IDENTIFIER TEXTAUTOCORRECTION_LOG
        CATEGORY_NAME org.kde.kf.textautocorrection
        OLD_CATEGORY_NAMES org.kde.kf6.textautocorrection
	DESCRIPTION "KF6 (text AutoCorrection)"
	EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoCorrectionCore HEADER textautocorrectionautocorrect_debug.h
        IDENTIFIER TEXTAUTOCORRECTION_AUTOCORRECT_LOG
        CATEGORY_NAME org.kde.kf.textautocorrection.autocorrect
        OLD_CATEGORY_NAMES org.kde.kf6.textautocorrection.autocorrect
	DESCRIPTION "KF6 (AutoCorrection autocorrect text)"
	EXPORT KTEXTADDONS
)

target_sources(KF6TextAutoCorrectionCore PRIVATE
    ${textautocorrection_settings_SRCS}
    autocorrection.cpp
    autocorrection.h
    autocorrectionutils.h
    autocorrectionutils.cpp
    autocorrectionsettings.h
    autocorrectionsettings.cpp

    import/importlibreofficeautocorrection.cpp
    import/importkmailautocorrection.cpp
    import/importabstractautocorrection.cpp
    import/importkmailautocorrection.h
    import/importlibreofficeautocorrection.h
    import/importabstractautocorrection.h

    export/exportabstractautocorrection.h
    export/exportabstractautocorrection.cpp
    export/exportlibreofficeautocorrection.h
    export/exportlibreofficeautocorrection.cpp

    settings/textautocorrectionsettings.h
    settings/textautocorrectionsettings.cpp

)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF6TextAutoCorrectionCore PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF6TextAutoCorrectionCore BASE_NAME textautocorrectioncore)


target_link_libraries(KF6TextAutoCorrectionCore
    PUBLIC
    Qt::Gui
    KF6::ConfigGui
    PRIVATE
    KF6::I18n
    KF6::Archive
    KF6::ColorScheme
    Qt::Xml
    Qt::Widgets
)

target_include_directories(KF6TextAutoCorrectionCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/>")

set_target_properties(KF6TextAutoCorrectionCore PROPERTIES
    VERSION ${TEXTAUTOCORRECTIONCORE_VERSION}
    SOVERSION ${TEXTAUTOCORRECTIONCORE_SOVERSION}
    EXPORT_NAME TextAutoCorrectionCore
)

install(TARGETS
    KF6TextAutoCorrectionCore
    EXPORT KF6TextAutoCorrectionTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()


ecm_generate_headers(TextAutoCorrectionCore_Camelcaseautocorrection_HEADERS
    HEADER_NAMES
    AutoCorrection
    AutoCorrectionSettings
    AutoCorrectionUtils

    REQUIRED_HEADERS TextAutoCorrectionCore_autocorrection_HEADERS
    PREFIX TextAutoCorrectionCore
)

ecm_generate_headers(TextAutoCorrectionCore_Camelcaseautocorrectionimport_HEADERS
    HEADER_NAMES
    ImportLibreOfficeAutocorrection
    ImportKMailAutocorrection
    ImportAbstractAutocorrection

    REQUIRED_HEADERS TextAutoCorrectionCore_autocorrectionimport_HEADERS
    PREFIX TextAutoCorrectionCore
    RELATIVE import
)

ecm_generate_headers(TextAutoCorrectionCore_Camelcasesettings_HEADERS
    HEADER_NAMES
    TextAutoCorrectionSettings
    REQUIRED_HEADERS TextAutoCorrectionCore_settings_HEADERS
    PREFIX TextAutoCorrectionCore
    RELATIVE settings
)


install(FILES
    ${TextAutoCorrectionCore_Camelcaseautocorrection_HEADERS}
    ${TextAutoCorrectionCore_Camelcaseautocorrectionimport_HEADERS}
    ${TextAutoCorrectionCore_Camelcasesettings_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/TextAutoCorrectionCore
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectioncore_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionsetting_base.h
    ${TextAutoCorrectionCore_autocorrection_HEADERS}
    ${TextAutoCorrectionCore_settings_HEADERS}
    ${TextAutoCorrectionCore_autocorrectionimport_HEADERS}

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/textautocorrectioncore
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF6TextAutoCorrectionCore_QCH
        NAME KF6TextAutoCorrectionCore
        BASE_NAME KF6TextAutoCorrectionCore
	VERSION ${TEXTAUTOCORRECTIONCORE_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${TextAutoCorrectionCore_autocorrection_HEADERS}
        ${TextAutoCorrectionCore_settings_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            TEXTAUTOCORRECTIONCORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6TextAutoCorrectionCore_QCH
        FILE KF6TextAutoCorrectionQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6TextAutoCorrectionQchTargets.cmake\")")
endif()

configure_package_config_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/KFTextAutoCorrectionCoreConfig.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)


install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectioncore_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/ COMPONENT Devel
)

=== textautogeneratetext/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

macro(add_textautogenerate_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h TEST_NAME ${_name}
        NAME_PREFIX "textautogenerate-"
        LINK_LIBRARIES Qt::Test KF6::TextAutoGenerateText KF6::TextWidgets KF6::WidgetsAddons Qt::Sql
)
endmacro()
add_textautogenerate_unittest(textautogeneratetextconfigurecombowidgettest.cpp)
add_textautogenerate_unittest(textautogeneratetextlineeditwidgettest.cpp)
add_textautogenerate_unittest(textautogenerateresultwidgettest.cpp)
add_textautogenerate_unittest(textautogeneratetextlineedittest.cpp)
add_textautogenerate_unittest(textautogeneratewidgettest.cpp)
add_textautogenerate_unittest(textautogeneratedialogtest.cpp)
add_textautogenerate_unittest(textautogeneratelistviewtest.cpp)
add_textautogenerate_unittest(textautogeneratemessagetest.cpp)
add_textautogenerate_unittest(textautogenerateconfigurewidgettest.cpp)
add_textautogenerate_unittest(textautogenerateconfiguredialogtest.cpp)
add_textautogenerate_unittest(textautogeneratehistorywidgettest.cpp)
add_textautogenerate_unittest(textautogeneratenotworkingwidgettest.cpp)
add_textautogenerate_unittest(textautogenerateheaderwidgettest.cpp)
add_textautogenerate_unittest(textautogenerateselectedmessagebackgroundanimationtest.cpp)
add_textautogenerate_unittest(textautogeneratehistorylistviewtest.cpp)
add_textautogenerate_unittest(textautogeneratechattest.cpp)
add_textautogenerate_unittest(textautogeneratelocaldatabaseutilstest.cpp)
add_textautogenerate_unittest(textautogeneratelocaldatabaseabstracttest.cpp)
add_textautogenerate_unittest(textautogeneratelocalchatsdatabasetest.cpp)
add_textautogenerate_unittest(textautogeneratelocalmessagesdatabasetest.cpp)
add_textautogenerate_unittest(textautogeneratemanagertest.cpp)
add_textautogenerate_unittest(textautogeneratetextplugintest.cpp)
add_textautogenerate_unittest(textautogeneratesearchwidgettest.cpp)
add_textautogenerate_unittest(textautogeneratesearchdialogtest.cpp)
add_textautogenerate_unittest(textautogeneratesearchlistviewtest.cpp)
add_textautogenerate_unittest(textautogeneratesearchmessagetest.cpp)
add_textautogenerate_unittest(textautogeneratesearchjobtest.cpp)
add_textautogenerate_unittest(textautogenerateaskjobtest.cpp)
add_textautogenerate_unittest(textautogeneratechatsettingstest.cpp)
add_textautogenerate_unittest(textautogeneratesearchlineedittest.cpp)

=== textautogeneratetext/plugins/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

#add_subdirectory(mistral)
add_subdirectory(ollama)
#add_subdirectory(openai)

=== textautogeneratetext/tests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

add_subdirectory(textautogeneratetypingindicatorgui)
add_subdirectory(textautogeneratewidgetgui)
add_subdirectory(textautogenerateaskjobgui)

=== debian/changelog ===
ktextaddons (1.6.0-0ubuntu1) questing; urgency=medium

  * New upstream release (1.6.0)
  * Update build-deps and deps with the info from cmake.
  * New libraries libkf6textautogeneratetext1 and
    libkf6textspeechtotext1
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Jul 2025 20:15:34 +0100

=== debian/control ===
Source: ktextaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dpkg-dev (>= 1.22.5),
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.11.0~),
               libkf6archive-dev (>= 6.11.0~),
               libkf6colorscheme-dev (>= 6.11.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.11.0~),
               libkf6i18n-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6sonnet-dev (>= 6.11.0~),
               libkf6syntaxhighlighting-dev (>= 6.11.0~),
               libkf6textwidgets-dev (>= 6.11.0~),
               libkf6widgetsaddons-dev (>= 6.11.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-speech-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/ktextaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktextaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktextaddons.git
Rules-Requires-Root: no

Package: libkf6textaddonswidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text addons widgets library

Package: libkf6textautocorrectioncore1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - correction core library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection core library.

Package: libkf6textautocorrectionwidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - correction widget library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection widget library.

Package: libkf6textautogeneratetext1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text auto generate library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text auto generate library.

Package: libkf6textcustomeditor1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - custom editor library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text custom editor library.

Package: libkf6textedittexttospeech1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text edit text-to-speech library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text-to-speech library.

Package: libkf6textemoticonscore1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text emoticons library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text emoticons library.

Package: libkf6textemoticonswidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text emoticons widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the emoticons widget library.

Package: libkf6textgrammarcheck1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text grammar check library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text grammar check library.

Package: libkf6textspeechtotext1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text speech to text library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text speach to text library.

Package: libkf6texttranslator1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text translator library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text translator library.

Package: libkf6textutils1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text utils library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text utils library.

Package: libktextaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6textaddonswidgets1 (= ${binary:Version}),
         libkf6textautocorrectioncore1 (= ${binary:Version}),
         libkf6textautocorrectionwidgets1 (= ${binary:Version}),
         libkf6textautogeneratetext1 (= ${binary:Version}),
         libkf6textcustomeditor1 (= ${binary:Version}),
         libkf6textedittexttospeech1 (= ${binary:Version}),
         libkf6textemoticonscore1 (= ${binary:Version}),
         libkf6textemoticonswidgets1 (= ${binary:Version}),
         libkf6textgrammarcheck1 (= ${binary:Version}),
         libkf6textspeechtotext1 (= ${binary:Version}),
         libkf6texttranslator1 (= ${binary:Version}),
         libkf6textutils1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf6textaddons-dev,
Replaces: libkf6textaddons-dev,
Description: KDE text handling addons - development files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the development files needed to build software using
 KTextAddons.

Package: libktextaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5textaddons-data,
        libkf6textaddons-data,
Replaces: libkf5textaddons-data,
          libkf6textaddons-data,
Description: KDE text handling addons - data files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the data files needed by KTextAddons.

Package: libktextaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf6textaddons-doc,
Replaces: libkf6textaddons-doc,
Description: KDE text handling addons - documentation
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package contains the qch documentation files.
